Transaction Void

Body
application/json
  • transaction
    Type: object
    required
Responses
  • application/json
  • 401

    Unauthorized

Request Example for post/v2.0/voided_transactions
curl https://posapi-staging.sparkfly.com/v2.0/voided_transactions \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "transaction": {
    "site_id": "",
    "pos_transaction_id": "",
    "occurred_at": "",
    "business_date": "",
    "register_id": "",
    "operator_id": "",
    "till_id": "",
    "table_id": "",
    "posagent_version": "",
    "pos_vendor": "",
    "pos_version": "",
    "receipt_id": ""
  }
}'
{
  "transaction": {
    "errors": [
      {
        "message": "string"
      }
    ],
    "display_messages": [
      {
        "message": "string",
        "message_id": "string",
        "message_content": {},
        "priority": 1
      }
    ]
  }
}